#![allow(clippy::module_name_repetitions, clippy::must_use_candidate)]

pub mod error;
pub mod extended_key;
pub mod index;
pub mod master_key;
pub mod path;
pub mod private_key;
pub mod public_key;

#[cfg(test)]
mod tests;

pub use crate::{
    error::{Error, Result},
    extended_key::{private_key::ExtendedPrivateKey, public_key::ExtendedPublicKey},
    index::DerivationIndex,
    path::DerivationPath,
    private_key::PrivateKey,
    public_key::PublicKey,
};
